Skip to content
Sign UpLog In
This post is read-only. Explore Repls and connect with other creators on Community.View Community
The info in this post might be out of date, check out our docs instead. View docs
2

Driver is unable to open chrome using selenium webdriver

RamnathSaigal
RamnathSaigal

This is my code

import selenium
from selenium import webdriver
driver=webdriver.Chrome(executable_path=r"C:\Users\ramnath.kumar\Desktop\chromedriver")
driver.get("https://test.salesforce.com")

3 years ago
You are viewing a single comment. View All
3
RamnathSaigal
RamnathSaigal

I AM GETTING THIS AS ERROR:

Traceback (most recent call last):
File "/home/runner/.local/share/virtualenvs/python3/lib/python3.7/site-packages/selenium/webdriver/common/service.py", line 76, in start
stdin=PIPE)
File "/usr/local/lib/python3.7/subprocess.py", line 775, in init
restore_signals, start_new_session)
File "/usr/local/lib/python3.7/subprocess.py", line 1522, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'C:\Users\ramnath.kumar\Desktop\chromedriver': 'C:\Users\ramnath.kumar\Desktop\chromedriver'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/runner/.local/share/virtualenvs/python3/lib/python3.7/site-packages/selenium/webdriver/common/s
ervice.py", line 76, in start
stdin=PIPE) File "/usr/local/lib/python3.7/subprocess.py", line 775, in init
restore_signals, start_new_session)
File "/usr/local/lib/python3.7/subprocess.py", line 1522, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'C:\Users\ramnath.kumar\Desktop\chromedriver': 'C
:\Users\ramnath.kumar\Desktop\chromedriver'
During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "main.py", line 3, in
driver=webdriver.Chrome(executable_path=r"C:\Users\ramnath.kumar\Desktop\chromedriver")
File "/home/runner/.local/share/virtualenvs/python3/lib/python3.7/site-packages/selenium/webdriver/chrome/webdriver.py", line 73, in init
self.service.start()
File "/home/runner/.local/share/virtualenvs/python3/lib/python3.7/site-packages/selenium/webdriver/common/service.py", line 83, in start
os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: 'C:\Users\ramnath.kumar\Desktop\chromedriver' executable needs to be in PATH. Please see https://sites.google.com/a/chromium.org/chromedriver/home

3 years ago
1
ttarabay
ttarabay

same

@RamnathSaigal

10 months ago